สมัครเลย!!!

Kubernetes ออกรุ่น 1.18 A Bit Quarky: รองรับการ debug, ทดสอบคอนฟิกฝั่งเซิร์ฟเวอร์, กำหนดแนวทางการยืดหดเซิร์ฟเวอร์

Kubernetes ออกเวอร์ชั่น 1.18 A Bit Quarky เป็นเวอร์ชั่นแรกของปีนี้ โดยปรับ API ที่เข้าสู่สถานะ stable เพิ่ม

ความเปลี่ยนแปลงที่มองเห็นได้ บนคำสั่ง kubectl

  • สามารถบังคับลบ Pod ได้โดยไม่ต้องเพิ่มอาร์กิวเมนต์ --grace-period=0 อีกแล้ว นับว่าแก้ความน่ารำคาญของการบังคับลบ Pod ออกไปได้ส่วนหนึ่ง
  • คำสั่ง --dry-run ที่ใช้ตรวจสอบไฟล์คอนฟิกก่อนรันจริงนั้นมีตัวเลือกที่จะทดสอบฝั่งไคลเอนต์หรือฝั่งเซิร์ฟเวอร์ได้
  • เพิ่มคำสั่ง kubectl debug เพื่อแปะคอนเทนเนอร์ใหม่เข้าไปใน Pod แทนที่จะรันคำสั่งในคอนเทนเนอร์เดิม ซึ่งหลายครั้งคอนเทนเนอร์เดิมนั้นไม่มีเครื่องมือช่วยแก้ปัญหามากนัก
  • คำสั่ง kubectl run ไม่รองรับการเลือก generator โดยจะสร้าง Pod อย่างเดียว ไม่มีการสร้าง Deployment อีกต่อไป

ฟีเจอร์อื่นๆ เช่น

  • Taint Based Eviction ตั้งค่าไม่ให้ Pod มารันบนโหนด หากไม่ตรงเงื่อนไข
  • Horizontal Pod Autoscaler (HPA) API เปิดทางให้สามารถกำหนดนโยบายการขยายหรือย่อจำนวนเซิร์ฟเวอร์สำหรับบริการไว้ได้ ว่าต่อการให้ขยายเซิร์ฟเวอร์เร็วแค่ไหน
  • HugePages ขยายการจองหน่วยความจำขนาดใหญ่ให้กับคอนเทนเนอร์ จากเดิมจองได้ระดับ Pod เท่านั้น

สำหรับ API ที่เคยประกาศหมดซัพพอร์ตไปก่อนหน้านี้ (deprecated) จะมีกลุ่ม apps/v1beta1 และ extensions/v1beta1 ของ DaemonSet, Deployment, และ Replicaset ก็ควรตรวจไฟล์คอนฟิกให้ปรับไปใช้ API ใหม่กัน

สำหรับคนที่ใช้งานดิสโทรต่างๆ คงต้องรออีกระยะกว่าดิสโทรจะปรับ API ตามทัน แต่ถ้าใช้จากโครงการหลังก็สามารถดาวน์โหลดได้ใน GitHub

ที่มา – Kubernestes.io, SUSE

No Description

Topics: